#10 ls: .: Stale NFS file handle (ftpfs)

closed-fixed
None
7
2002-09-26
2002-09-05
Anonymous
No

lufsmount
ftpfs://user:pass@bat.xx.fi /home/vlad/newbat/ -a -d
755 -f 664 -g vlad -u vlad

(22:22:26)[vlad]{~/newbat}$ ls
ls: .: Stale NFS file handle
(22:22:28)[vlad]{~/newbat}$ ls
ls: .: Stale NFS file handle

Tho, it happens only in root catalog, when I try to
browse subdirs (assuming i know dir structure) it works:

(22:25:04)[root]{/home/vlad/newbat}# cd obj
(22:25:10)[root]{/home/vlad/newbat/obj}# ls
bicycle.c monster.c monster_dir player.c

Also, just after mountign filesystem, it's possible to list
its root dir contents every once in a while, but not more
than 1-2 times right after mounting:

(22:22:57)[root]{/home/vlad}# lufsmount
ftpfs://user:pass@bat.xx.fi /home/vlad/newbat/ -a -d
755 -f 664 -g vlad -u vlad
(22:24:56)[root]{/home/vlad}# cd newbat
(22:24:59)[root]{/home/vlad/newbat}# ls
battle_astar.c hike_event.c include mob_party
obj pmobba.c shade.c TMP.c wip
cmds hmobba.c mage.c notes
party_parse profiles test TODO.txt workroom.c
(22:25:00)[root]{/home/vlad/newbat}# ls
battle_astar.c hike_event.c include mob_party
obj pmobba.c shade.c TMP.c wip
cmds hmobba.c mage.c notes
party_parse profiles test TODO.txt workroom.c
(22:25:01)[root]{/home/vlad/newbat}# ls
ls: .: Stale NFS file handle
(22:25:03)[root]{/home/vlad/newbat}# ls
ls: .: Stale NFS file handle

When this happens with root directory, I can still work
with subdirectories, tho when i try to edit some file at
root dir, I can open it, change it, but when i write it, I
end up with a 0 lenght file at ftp server.

This annoys me liek hell, as ftpfs rocks and I use it
every here and there in my daily development.

Would rock if you could fix that :)
Thanks in advance.

Vladimir Lazarenko
favorit@wanadoo.nl

Discussion

  • Nobody/Anonymous

    Logged In: NO

    i got that error too.

    checked out lufs from today
    kernel 2.4.19 pre 10

    debian

     
  • Florin Malita

    Florin Malita - 2002-09-07
    • priority: 5 --> 7
    • assigned_to: nobody --> mali
     
  • Florin Malita

    Florin Malita - 2002-09-07

    Logged In: YES
    user_id=154306

    I can't replicate this one!
    Please send me complete information about your
    distro/compiler/kernel, maybe do a debug build and attach the
    output files and logs too.

    I really want to track this down, I fixed a similar bug some time
    ago, but now I can't seem to replicate it.

    I might need access to such a box...

     
  • Florin Malita

    Florin Malita - 2002-09-14

    Logged In: YES
    user_id=154306

    This is hopefully fixed in 0.6.2. Can someone please confirm?

     
  • Florin Malita

    Florin Malita - 2002-09-26
    • status: open --> closed-fixed
     

Log in to post a comment.